package com.crm.custom.dao.mapper;

import com.crm.rely.backend.model.entity.custom.login.CustomLoginSearchListEntity;
import com.crm.rely.backend.model.pojo.view.CustomLoginView;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

@Repository
public interface CustomLoginMapper {
    Integer countList(CustomLoginSearchListEntity entity);

    List<CustomLoginView> pageList(CustomLoginSearchListEntity entity);

    CustomLoginView getByLogin(Long login);

    CustomLoginView getById(Long id);

    int existByCustomIdAndEquity(@Param("customId") Long customId, @Param("equity") BigDecimal equity);
}
